# GetAvaFileForm

Retrieve a single AvaFileForm

`GET /api/v2/avafileforms/{id}`

**API:** AvaTax API
**Tag:** AvaFileForms
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/AvaFileForms/GetAvaFileForm/

## Description

Get the AvaFileForm object identified by this URL.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, Compliance Root User, Compliance Temp User, ComplianceAdmin, ComplianceUser, FirmAdmin, FirmUser, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser, TreasuryAdmin.
* This API depends on the following active services:*Returns* (at least one of):  Mrs, MRSComplianceManager, AvaTaxCsp.*Firm Managed* (for accounts managed by a firm):  ARA, ARAManaged.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes | The primary key of this AvaFileForm |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `AvaFileFormModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `AvaFileFormModel`

Represents information about a tax form known to Avalara

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | Unique Id of the form Example: `2415`. |
| `returnName` | string | No | Name of the file being returned Example: `CABOE401A2`. |
| `formName` | string | No | Name of the submitted form Example: `CA BOE 401 A2`. |
| `description` | string | No | A description of the submitted form Example: `State, Local, and District Sales and Use Tax Return`. |
| `effDate` | string | No | The date this form starts to take effect Example: `2005-04-01T00:00:00`. |
| `endDate` | string | No | The date the form finishes to take effect Example: `9999-12-31T00:00:00`. |
| `region` | string | No | State/Province/Region where the form is submitted for Example: `CA`. |
| `country` | string | No | The country this form is submitted for Example: `US`. |
| `formTypeId` | string | No | The type of the form being submitted Values: `SalesAndUse`, `Sales`, `SellersUse`, `Lodging`, `SalesAndLodging`, `ConsumerUse`, `ResortAndRental`, `TouristAndRental`, `Prepayment`, `PrepaymentAllowed`. Example: `SalesAndUse`. |
| `filingOptionTypeId` | string | No | The type of Filing option Values: `Paper`, `OptionalEfile`, `MandatoryEfile`. Example: `Paper`. |
| `dueDateTypeId` | string | No | The type of the due date Values: `ByDay`, `ByLastDay`, `BySecondLastDay`. Example: `ByDay`. |
| `dueDay` | integer | No | Due date Example: `20`. |
| `efileDueDateTypeId` | string | No | The type of E-file due date. Values: `ByDay`, `ByLastDay`, `BySecondLastDay`. Example: `ByDay`. |
| `efileDueDay` | integer | No | The date by when the E-filing should be submitted Example: `20`. |
| `efileDueTime` | string | No | The time of day by when the E-filing should be submitted Example: `1900-01-01T00:00:00`. |
| `hasVendorDiscount` | boolean | No | Whether the customer has discount Example: `false`. |
| `roundingTypeId` | string | No | The way system does the rounding Values: `None`, `Nearest`, `Up`, `Down`. Example: `None`. |
| `outletTypeId` | string | No | The outlet type of the form Values: `None`, `Schedule`, `Duplicate`, `Consolidated`. Example: `None`. |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/avafileforms/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```